@octokit/openapi 14.1.0 → 15.0.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/generated/api.github.com.deref.json +216 -40
- package/generated/api.github.com.json +125 -48
- package/generated/ghec.deref.json +238 -52
- package/generated/ghec.json +147 -60
- package/generated/ghes-3.10.deref.json +85 -22
- package/generated/ghes-3.10.json +49 -22
- package/generated/ghes-3.11.deref.json +96 -31
- package/generated/ghes-3.11.json +62 -44
- package/generated/ghes-3.12.deref.json +96 -31
- package/generated/ghes-3.12.json +62 -44
- package/generated/ghes-3.8.deref.json +85 -22
- package/generated/ghes-3.8.json +49 -22
- package/generated/ghes-3.9.deref.json +85 -22
- package/generated/ghes-3.9.json +49 -22
- package/generated/github.ae.deref.json +1 -1
- package/generated/github.ae.json +1 -1
- package/package.json +1 -1
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
{
|
|
2
2
|
"openapi": "3.0.3",
|
|
3
3
|
"info": {
|
|
4
|
-
"version": "
|
|
4
|
+
"version": "15.0.0",
|
|
5
5
|
"title": "GitHub's official OpenAPI spec + Octokit extension",
|
|
6
6
|
"description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
|
|
7
7
|
"license": {
|
|
@@ -261,21 +261,7 @@
|
|
|
261
261
|
"in": "query",
|
|
262
262
|
"description": "If specified, only advisories for these ecosystems will be returned.",
|
|
263
263
|
"schema": {
|
|
264
|
-
"
|
|
265
|
-
"enum": [
|
|
266
|
-
"actions",
|
|
267
|
-
"composer",
|
|
268
|
-
"erlang",
|
|
269
|
-
"go",
|
|
270
|
-
"maven",
|
|
271
|
-
"npm",
|
|
272
|
-
"nuget",
|
|
273
|
-
"other",
|
|
274
|
-
"pip",
|
|
275
|
-
"pub",
|
|
276
|
-
"rubygems",
|
|
277
|
-
"rust"
|
|
278
|
-
]
|
|
264
|
+
"$ref": "#/components/schemas/security-advisory-ecosystems"
|
|
279
265
|
}
|
|
280
266
|
},
|
|
281
267
|
{
|
|
@@ -11199,7 +11185,7 @@
|
|
|
11199
11185
|
"/orgs/{org}/hooks": {
|
|
11200
11186
|
"get": {
|
|
11201
11187
|
"summary": "List organization webhooks",
|
|
11202
|
-
"description": "",
|
|
11188
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
11203
11189
|
"tags": [
|
|
11204
11190
|
"orgs"
|
|
11205
11191
|
],
|
|
@@ -11257,7 +11243,7 @@
|
|
|
11257
11243
|
},
|
|
11258
11244
|
"post": {
|
|
11259
11245
|
"summary": "Create an organization webhook",
|
|
11260
|
-
"description": "
|
|
11246
|
+
"description": "Create a hook that posts payloads in JSON format.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or \nedit webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
11261
11247
|
"tags": [
|
|
11262
11248
|
"orgs"
|
|
11263
11249
|
],
|
|
@@ -11394,7 +11380,7 @@
|
|
|
11394
11380
|
"/orgs/{org}/hooks/{hook_id}": {
|
|
11395
11381
|
"get": {
|
|
11396
11382
|
"summary": "Get an organization webhook",
|
|
11397
|
-
"description": "Returns a webhook configured in an organization. To get only the webhook
|
|
11383
|
+
"description": "Returns a webhook configured in an organization. To get only the webhook\n`config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization). \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
11398
11384
|
"tags": [
|
|
11399
11385
|
"orgs"
|
|
11400
11386
|
],
|
|
@@ -11441,7 +11427,7 @@
|
|
|
11441
11427
|
},
|
|
11442
11428
|
"patch": {
|
|
11443
11429
|
"summary": "Update an organization webhook",
|
|
11444
|
-
"description": "Updates a webhook configured in an organization. When you update a webhook
|
|
11430
|
+
"description": "Updates a webhook configured in an organization. When you update a webhook,\nthe `secret` will be overwritten. If you previously had a `secret` set, you must\nprovide the same `secret` or set a new `secret` or the secret will be removed. If\nyou are only updating individual webhook `config` properties, use \"[Update a webhook\nconfiguration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization)\". \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
11445
11431
|
"tags": [
|
|
11446
11432
|
"orgs"
|
|
11447
11433
|
],
|
|
@@ -11553,7 +11539,7 @@
|
|
|
11553
11539
|
},
|
|
11554
11540
|
"delete": {
|
|
11555
11541
|
"summary": "Delete an organization webhook",
|
|
11556
|
-
"description": "",
|
|
11542
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
11557
11543
|
"tags": [
|
|
11558
11544
|
"orgs"
|
|
11559
11545
|
],
|
|
@@ -11590,7 +11576,7 @@
|
|
|
11590
11576
|
"/orgs/{org}/hooks/{hook_id}/config": {
|
|
11591
11577
|
"get": {
|
|
11592
11578
|
"summary": "Get a webhook configuration for an organization",
|
|
11593
|
-
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
11579
|
+
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
11594
11580
|
"tags": [
|
|
11595
11581
|
"orgs"
|
|
11596
11582
|
],
|
|
@@ -11634,7 +11620,7 @@
|
|
|
11634
11620
|
},
|
|
11635
11621
|
"patch": {
|
|
11636
11622
|
"summary": "Update a webhook configuration for an organization",
|
|
11637
|
-
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
11623
|
+
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
11638
11624
|
"tags": [
|
|
11639
11625
|
"orgs"
|
|
11640
11626
|
],
|
|
@@ -11715,7 +11701,7 @@
|
|
|
11715
11701
|
"/orgs/{org}/hooks/{hook_id}/deliveries": {
|
|
11716
11702
|
"get": {
|
|
11717
11703
|
"summary": "List deliveries for an organization webhook",
|
|
11718
|
-
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.",
|
|
11704
|
+
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
11719
11705
|
"tags": [
|
|
11720
11706
|
"orgs"
|
|
11721
11707
|
],
|
|
@@ -11784,7 +11770,7 @@
|
|
|
11784
11770
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}": {
|
|
11785
11771
|
"get": {
|
|
11786
11772
|
"summary": "Get a webhook delivery for an organization webhook",
|
|
11787
|
-
"description": "Returns a delivery for a webhook configured in an organization.",
|
|
11773
|
+
"description": "Returns a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
11788
11774
|
"tags": [
|
|
11789
11775
|
"orgs"
|
|
11790
11776
|
],
|
|
@@ -11839,7 +11825,7 @@
|
|
|
11839
11825
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}/attempts": {
|
|
11840
11826
|
"post": {
|
|
11841
11827
|
"summary": "Redeliver a delivery for an organization webhook",
|
|
11842
|
-
"description": "Redeliver a delivery for a webhook configured in an organization.",
|
|
11828
|
+
"description": "Redeliver a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
11843
11829
|
"tags": [
|
|
11844
11830
|
"orgs"
|
|
11845
11831
|
],
|
|
@@ -11882,7 +11868,7 @@
|
|
|
11882
11868
|
"/orgs/{org}/hooks/{hook_id}/pings": {
|
|
11883
11869
|
"post": {
|
|
11884
11870
|
"summary": "Ping an organization webhook",
|
|
11885
|
-
"description": "This will trigger a [ping event](https://docs.github.com/webhooks/#ping-event)
|
|
11871
|
+
"description": "This will trigger a [ping event](https://docs.github.com/webhooks/#ping-event)\nto be sent to the hook.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
11886
11872
|
"tags": [
|
|
11887
11873
|
"orgs"
|
|
11888
11874
|
],
|
|
@@ -24204,7 +24190,7 @@
|
|
|
24204
24190
|
"/repos/{owner}/{repo}/actions/runs": {
|
|
24205
24191
|
"get": {
|
|
24206
24192
|
"summary": "List workflow runs for a repository",
|
|
24207
|
-
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository
|
|
24193
|
+
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.\n\nThis API will return up to 1,000 results for each search when using the following parameters: `actor`, `branch`, `check_suite_id`, `created`, `event`, `head_sha`, `status`.",
|
|
24208
24194
|
"tags": [
|
|
24209
24195
|
"actions"
|
|
24210
24196
|
],
|
|
@@ -36623,6 +36609,9 @@
|
|
|
36623
36609
|
"204": {
|
|
36624
36610
|
"description": "Response"
|
|
36625
36611
|
},
|
|
36612
|
+
"404": {
|
|
36613
|
+
"$ref": "#/components/responses/not_found"
|
|
36614
|
+
},
|
|
36626
36615
|
"422": {
|
|
36627
36616
|
"$ref": "#/components/responses/validation_failed"
|
|
36628
36617
|
}
|
|
@@ -47202,6 +47191,9 @@
|
|
|
47202
47191
|
"404": {
|
|
47203
47192
|
"$ref": "#/components/responses/not_found"
|
|
47204
47193
|
},
|
|
47194
|
+
"406": {
|
|
47195
|
+
"$ref": "#/components/responses/unacceptable"
|
|
47196
|
+
},
|
|
47205
47197
|
"500": {
|
|
47206
47198
|
"$ref": "#/components/responses/internal_error"
|
|
47207
47199
|
},
|
|
@@ -83280,8 +83272,7 @@
|
|
|
83280
83272
|
},
|
|
83281
83273
|
"repository-dispatch-sample.collected": {
|
|
83282
83274
|
"post": {
|
|
83283
|
-
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/rest/repos/repos#create-a-repository-dispatch-event).\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
83284
|
-
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.",
|
|
83275
|
+
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/rest/repos/repos#create-a-repository-dispatch-event). In the payload, the `action` will be the `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
83285
83276
|
"operationId": "repository-dispatch/sample.collected",
|
|
83286
83277
|
"externalDocs": {
|
|
83287
83278
|
"url": "https://docs.github.com/webhooks/webhook-events-and-payloads#repository_dispatch"
|
|
@@ -87888,7 +87879,8 @@
|
|
|
87888
87879
|
},
|
|
87889
87880
|
"hub_url": {
|
|
87890
87881
|
"type": "string",
|
|
87891
|
-
"format": "uri-template"
|
|
87882
|
+
"format": "uri-template",
|
|
87883
|
+
"deprecated": true
|
|
87892
87884
|
},
|
|
87893
87885
|
"issue_search_url": {
|
|
87894
87886
|
"type": "string",
|
|
@@ -87984,7 +87976,6 @@
|
|
|
87984
87976
|
"followers_url",
|
|
87985
87977
|
"following_url",
|
|
87986
87978
|
"gists_url",
|
|
87987
|
-
"hub_url",
|
|
87988
87979
|
"issue_search_url",
|
|
87989
87980
|
"issues_url",
|
|
87990
87981
|
"keys_url",
|
|
@@ -100040,12 +100031,12 @@
|
|
|
100040
100031
|
}
|
|
100041
100032
|
}
|
|
100042
100033
|
},
|
|
100043
|
-
"repository-rule-params-
|
|
100044
|
-
"title": "
|
|
100045
|
-
"description": "
|
|
100034
|
+
"repository-rule-params-code-scanning-threshold": {
|
|
100035
|
+
"title": "CodeScanningThreshold",
|
|
100036
|
+
"description": "A tool and its thresholds.",
|
|
100046
100037
|
"type": "object",
|
|
100047
100038
|
"properties": {
|
|
100048
|
-
"
|
|
100039
|
+
"alerts": {
|
|
100049
100040
|
"type": "string",
|
|
100050
100041
|
"description": "Code scanning alert threshold",
|
|
100051
100042
|
"enum": [
|
|
@@ -100055,7 +100046,7 @@
|
|
|
100055
100046
|
"all"
|
|
100056
100047
|
]
|
|
100057
100048
|
},
|
|
100058
|
-
"
|
|
100049
|
+
"security_alerts": {
|
|
100059
100050
|
"type": "string",
|
|
100060
100051
|
"description": "Code scanning security alert threshold.",
|
|
100061
100052
|
"enum": [
|
|
@@ -100065,11 +100056,16 @@
|
|
|
100065
100056
|
"medium_or_higher",
|
|
100066
100057
|
"all"
|
|
100067
100058
|
]
|
|
100059
|
+
},
|
|
100060
|
+
"tool": {
|
|
100061
|
+
"type": "string",
|
|
100062
|
+
"description": "The name of a code scanning tool"
|
|
100068
100063
|
}
|
|
100069
100064
|
},
|
|
100070
100065
|
"required": [
|
|
100071
|
-
"
|
|
100072
|
-
"
|
|
100066
|
+
"alerts",
|
|
100067
|
+
"security_alerts",
|
|
100068
|
+
"tool"
|
|
100073
100069
|
]
|
|
100074
100070
|
},
|
|
100075
100071
|
"repository-rule": {
|
|
@@ -115792,6 +115788,64 @@
|
|
|
115792
115788
|
"commit_url"
|
|
115793
115789
|
]
|
|
115794
115790
|
},
|
|
115791
|
+
"secret-scanning-location-wiki-commit": {
|
|
115792
|
+
"description": "Represents a 'wiki_commit' secret scanning location type. This location type shows that a secret was detected inside a commit to a repository wiki.",
|
|
115793
|
+
"type": "object",
|
|
115794
|
+
"properties": {
|
|
115795
|
+
"path": {
|
|
115796
|
+
"type": "string",
|
|
115797
|
+
"description": "The file path of the wiki page",
|
|
115798
|
+
"example": "/example/Home.md"
|
|
115799
|
+
},
|
|
115800
|
+
"start_line": {
|
|
115801
|
+
"type": "number",
|
|
115802
|
+
"description": "Line number at which the secret starts in the file"
|
|
115803
|
+
},
|
|
115804
|
+
"end_line": {
|
|
115805
|
+
"type": "number",
|
|
115806
|
+
"description": "Line number at which the secret ends in the file"
|
|
115807
|
+
},
|
|
115808
|
+
"start_column": {
|
|
115809
|
+
"type": "number",
|
|
115810
|
+
"description": "The column at which the secret starts within the start line when the file is interpreted as 8-bit ASCII."
|
|
115811
|
+
},
|
|
115812
|
+
"end_column": {
|
|
115813
|
+
"type": "number",
|
|
115814
|
+
"description": "The column at which the secret ends within the end line when the file is interpreted as 8-bit ASCII."
|
|
115815
|
+
},
|
|
115816
|
+
"blob_sha": {
|
|
115817
|
+
"type": "string",
|
|
115818
|
+
"description": "SHA-1 hash ID of the associated blob",
|
|
115819
|
+
"example": "af5626b4a114abcb82d63db7c8082c3c4756e51b"
|
|
115820
|
+
},
|
|
115821
|
+
"page_url": {
|
|
115822
|
+
"type": "string",
|
|
115823
|
+
"description": "The GitHub URL to get the associated wiki page",
|
|
115824
|
+
"example": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
|
|
115825
|
+
},
|
|
115826
|
+
"commit_sha": {
|
|
115827
|
+
"type": "string",
|
|
115828
|
+
"description": "SHA-1 hash ID of the associated commit",
|
|
115829
|
+
"example": "302c0b7e200761c9dd9b57e57db540ee0b4293a5"
|
|
115830
|
+
},
|
|
115831
|
+
"commit_url": {
|
|
115832
|
+
"type": "string",
|
|
115833
|
+
"description": "The GitHub URL to get the associated wiki commit",
|
|
115834
|
+
"example": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
|
|
115835
|
+
}
|
|
115836
|
+
},
|
|
115837
|
+
"required": [
|
|
115838
|
+
"path",
|
|
115839
|
+
"start_line",
|
|
115840
|
+
"end_line",
|
|
115841
|
+
"start_column",
|
|
115842
|
+
"end_column",
|
|
115843
|
+
"blob_sha",
|
|
115844
|
+
"page_url",
|
|
115845
|
+
"commit_sha",
|
|
115846
|
+
"commit_url"
|
|
115847
|
+
]
|
|
115848
|
+
},
|
|
115795
115849
|
"secret-scanning-location-issue-title": {
|
|
115796
115850
|
"description": "Represents an 'issue_title' secret scanning location type. This location type shows that a secret was detected in the title of an issue.",
|
|
115797
115851
|
"type": "object",
|
|
@@ -115964,6 +116018,7 @@
|
|
|
115964
116018
|
"type": "string",
|
|
115965
116019
|
"enum": [
|
|
115966
116020
|
"commit",
|
|
116021
|
+
"wiki_commit",
|
|
115967
116022
|
"issue_title",
|
|
115968
116023
|
"issue_body",
|
|
115969
116024
|
"issue_comment",
|
|
@@ -115984,6 +116039,9 @@
|
|
|
115984
116039
|
{
|
|
115985
116040
|
"$ref": "#/components/schemas/secret-scanning-location-commit"
|
|
115986
116041
|
},
|
|
116042
|
+
{
|
|
116043
|
+
"$ref": "#/components/schemas/secret-scanning-location-wiki-commit"
|
|
116044
|
+
},
|
|
115987
116045
|
{
|
|
115988
116046
|
"$ref": "#/components/schemas/secret-scanning-location-issue-title"
|
|
115989
116047
|
},
|
|
@@ -116019,11 +116077,7 @@
|
|
|
116019
116077
|
}
|
|
116020
116078
|
]
|
|
116021
116079
|
}
|
|
116022
|
-
}
|
|
116023
|
-
"required": [
|
|
116024
|
-
"type",
|
|
116025
|
-
"details"
|
|
116026
|
-
]
|
|
116080
|
+
}
|
|
116027
116081
|
},
|
|
116028
116082
|
"repository-advisory-create": {
|
|
116029
116083
|
"type": "object",
|
|
@@ -262955,9 +263009,7 @@
|
|
|
262955
263009
|
"properties": {
|
|
262956
263010
|
"action": {
|
|
262957
263011
|
"type": "string",
|
|
262958
|
-
"
|
|
262959
|
-
"sample.collected"
|
|
262960
|
-
]
|
|
263012
|
+
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
262961
263013
|
},
|
|
262962
263014
|
"branch": {
|
|
262963
263015
|
"type": "string"
|
|
@@ -262965,7 +263017,8 @@
|
|
|
262965
263017
|
"client_payload": {
|
|
262966
263018
|
"type": "object",
|
|
262967
263019
|
"nullable": true,
|
|
262968
|
-
"additionalProperties": true
|
|
263020
|
+
"additionalProperties": true,
|
|
263021
|
+
"description": "The `client_payload` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
262969
263022
|
},
|
|
262970
263023
|
"enterprise": {
|
|
262971
263024
|
"$ref": "#/components/schemas/enterprise-webhooks"
|
|
@@ -301533,6 +301586,20 @@
|
|
|
301533
301586
|
"commit_url": "https://api.github.com/repos/octocat/hello-world/git/commits/f14d7debf9775f957cf4f1e8176da0786431f72b"
|
|
301534
301587
|
}
|
|
301535
301588
|
},
|
|
301589
|
+
{
|
|
301590
|
+
"type": "wiki_commit",
|
|
301591
|
+
"details": {
|
|
301592
|
+
"path": "/example/Home.md",
|
|
301593
|
+
"start_line": 1,
|
|
301594
|
+
"end_line": 1,
|
|
301595
|
+
"start_column": 1,
|
|
301596
|
+
"end_column": 64,
|
|
301597
|
+
"blob_sha": "af5626b4a114abcb82d63db7c8082c3c4756e51b",
|
|
301598
|
+
"page_url": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
301599
|
+
"commit_sha": "302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
301600
|
+
"commit_url": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
|
|
301601
|
+
}
|
|
301602
|
+
},
|
|
301536
301603
|
{
|
|
301537
301604
|
"type": "issue_title",
|
|
301538
301605
|
"details": {
|
|
@@ -310086,6 +310153,16 @@
|
|
|
310086
310153
|
}
|
|
310087
310154
|
}
|
|
310088
310155
|
}
|
|
310156
|
+
},
|
|
310157
|
+
"unacceptable": {
|
|
310158
|
+
"description": "Unacceptable",
|
|
310159
|
+
"content": {
|
|
310160
|
+
"application/json": {
|
|
310161
|
+
"schema": {
|
|
310162
|
+
"$ref": "#/components/schemas/basic-error"
|
|
310163
|
+
}
|
|
310164
|
+
}
|
|
310165
|
+
}
|
|
310089
310166
|
}
|
|
310090
310167
|
},
|
|
310091
310168
|
"headers": {
|